Byte Swapping Functions
Embryo

Functions that are used to ensure that integers passed to the virtual machine are in small endian format. More...

## Functions

EAPI void | embryo_swap_16 (unsigned short *v)
| Ensures that the given unsigned short integer is in the small endian format.
EAPI void | embryo_swap_32 (unsigned int *v)
| Ensures that the given unsigned integer is in the small endian format.

## Detailed Description

Functions that are used to ensure that integers passed to the virtual machine are in small endian format.

These functions are used to ensure that the virtual machine operates correctly on big endian machines.

## Function Documentation

## embryo_swap_16()

EAPI void embryo_swap_16 | ( | unsigned short * | v | ) |

Ensures that the given unsigned short integer is in the small endian format.

Parameters

  v | Pointer to the given integer.

References EINA_UNUSED.

## embryo_swap_32()

EAPI void embryo_swap_32 | ( | unsigned int * | v | ) |

Ensures that the given unsigned integer is in the small endian format.

Parameters

  v | Pointer to the given integer.

References EINA_UNUSED.

Referenced by embryo_program_load().